/* корзина */
function cartTriggers(){
   var open_cart_total = jQuery('.total_amount_s').html()

  // Удаление
  jQuery(".cart-table .del a").each(function(i) {
      if ( jQuery(this).attr('in_process') ) { return; }
    jQuery(this).attr('in_process',true);

    jQuery(this).bind("click dblclick", function(e){
            e.preventDefault();

          var link = jQuery(this);
        if ( link.attr('processed') ) { return false; }

        if ( confirm("Уверены, что хотите удалить товар?") ) {

                link.attr('processed',true);

                e.preventDefault();
                var item_row = link.parents("tr:first");
                var fields =  new Object;
                fields['_method'] = 'delete';
                var path = '/cart_items/'+link.attr("iid").replace("delete_","")+'.json';

          show_preloader();

          jQuery.ajax({
              url:      path,
              type:     'post',
              data:     fields,
              dataType: 'json',
              success:  function(response) {

                  link.attr('processed',false);
              hide_preloader(); // Убираем прелоадер

              if( response.total_price == 0 ){
                jQuery("#cartform").hide();
                jQuery(".cart-message").show();
              }

              item_row.slideUp("normal", function(){
                  item_row.remove();

                  /* Переставляем индекс */
                            jQuery("#cartform table td.index:visible").each(function(i){
                                jQuery(this).html((i+1)+".");
                            });
                  });

              jQuery('.total_amount').html(InSales.formatMoney(response.total_price, cv_currency_format));  
                 if( response.items_count > 0){
                   jQuery('.cart-inner').html('<span class="cart_items_price">' + InSales.formatMoney(response.total_price, cv_currency_format) + '</span> <span class="cart_items_count">' + response.items_count + '</span>')
                 }
                else {
                  jQuery('.cart-inner').html('<i>Корзина пуста</i>');
                }
              },
              error:  function(response) {
                if ( link.attr('processed') ) { return false; }
                  link.attr('processed',false);
                // alert("произошла ошибка");
              }
          });
        }
      return false;
    });
  });

    // Пересчитать
    // Массив для хранения
    qSwaps = [];

    jQuery(".cart-table .quantity input").each(function(i){
        qSwaps[i] = jQuery(this).val();
    });

    jQuery(".cart-table .quantity input").each(function(i) {
        if ( jQuery(this).attr('processed') ) { return; }
        jQuery(this).attr('processed',true);
        jQuery(this).bind("change keyup", function(e) {
            var el = jQuery(this);
            var value = el.val();

            val = value.replace(/[^\d\.\,]+/g,'');
            if (val < 0){ /* nothing to do */ }
            if(val != value) el.val(val);

            if (val == qSwaps[i]) return; // если значение не изменилось - выходим

            qSwaps[i] = val;

            el.parents("tr:first").find(".total-price strong").html( InSales.formatMoney(val*el.attr('price'), cv_currency_format) )
            recalculate_order();
        }).bind('blur',function(){
            var el = jQuery(this);
            var value = el.val();
            val = value.replace(/[^\d\.\,]+/g,'');
            if (val < 0 || val == ""){ val = 0; }
            el.val(val);

            el.change();
        });
    });


   function recalculate_order() {
        var fields = new Object;
        fields = jQuery('#cartform').serialize();        
        var path = '/cart_items/update_all.json'

        show_preloader(); // Показываем прелоадер

        jQuery.ajax({
          url: path,
          type: 'post',
          data: fields,
          dataType: 'json',
          success: function (response) {
        
        if(response.discount_description){
        jQuery.each(response.discounts, function(){
          var item = this;
          var description = item.description
          var price = InSales.formatMoney(item.amount, cv_currency_format)
          jQuery('.discounts-list').html('<div class="item">'+description+': &minus;<span class="price">'+price+'</span></div>')
        })  
        jQuery('.discounts-list').slideDown(); 
        }else{
          jQuery('.discounts-list').slideUp().html(''); 
        }

            hide_preloader(); // Убираем прелоадер
            jQuery.each(response.items, function (i) {
              var item = this;
              jQuery('tr[id="cart_order_line_' + item.variant_id + '"]').find('.total-price').html(InSales.formatMoney(item.total_price, cv_currency_format));
            });
           
            jQuery('.cart__total__price').html(InSales.formatMoney(response.total_price, cv_currency_format));
            if (response.items_count > 0) {
              jQuery('.header__cart__count').html(response.items_count);
              jQuery(".header__cart__price").html(InSales.formatMoney(response.total_price, cv_currency_format));
            } else {
              jQuery('.cart-inner').html('<i>Корзина пуста</i>');
            }            
          },
          error: function (response) {
            alert("произошла ошибка");
            hide_preloader();
          }
        });
      }
  }

function getParam(sParamName){
    var Params = location.search.substring(1).split("&");
    var variable = "";
    for (var i = 0; i < Params.length; i++){
      if (Params[i].split("=")[0] == sParamName){
        if (Params[i].split("=").length > 1) variable = Params[i].split("=")[1];
        return variable;
      }
    }
    return "";
}

var rc_total_count = 0;

function recalc_offer_price(){
  rc_total_count = 0;

  jQuery('.product-variants input:enabled').each(function(){
    var val = jQuery(this).val();
    if (isNaN(val) || val < 0){
      val = 0; jQuery(this).val(val);
      }
    rc_total_count = rc_total_count + jQuery(this).attr("price")*val;
  });
  jQuery("#price-field").html( InSales.formatMoney(rc_total_count, cv_currency_format));
}

/* Сравнение товаров */
var removeCompareItem = function(product_id) {
    var fields =  new Object;
    fields['_method'] = 'delete';
    var path   = '/compares/' + product_id + '.json';
    show_preloader();
    jQuery.ajax({
        url:      path,
        type:     'post',
        data:     fields,
        dataType: 'json',
        success:  function(response) {
            jQuery('.compare_' + product_id).remove();
            hide_preloader();
        },
        error:  function(response) {
            hide_preloader();
        }
    });
}
jQuery(document).ready(function() { 

 jQuery("a.add_to_compare").click(function(e){ 
    e.preventDefault(); 
  });  
  
  

    jQuery('#compare_table thead tr:first td').each(function(){
        jQuery(".product_cell_main",this).width(jQuery(this).width());
    });

    jQuery("#compare_table .del_compare").live("click",function(e){ e.preventDefault(); removeCompareItem(jQuery(this).attr("rel")); });

    if(!jQuery("#compare_table .same").length){
        jQuery(".compare_show_similar, .compare_hide_similar").hide();
    } else {
        jQuery(".compare_show_similar").live("click",function(){
            jQuery(".compare_show_similar").hide();
            jQuery(".compare_hide_similar").show()
            jQuery("#compare_table .same").show();
        });
        jQuery(".compare_hide_similar").live("click",function(){
            jQuery(".compare_hide_similar").hide();
            jQuery(".compare_show_similar").show()
            jQuery("#compare_table .same").hide();
        });
    }
});